Bug 230494 - devel/gdb: Fix build with Python 3.7
Summary: devel/gdb: Fix build with Python 3.7
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Luca Pizzamiglio
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2018-08-10 04:20 UTC by Yasuhiro KIMURA
Modified: 2018-08-16 16:28 UTC (History)
4 users (show)

See Also:
pizzamig: maintainer-feedback+
antoine: merge-quarterly-


Attachments
patch file (444 bytes, patch)
2018-08-10 04:20 UTC, Yasuhiro KIMURA
no flags Details | Diff
updated patch file (2.93 KB, patch)
2018-08-10 11:00 UTC, Yasuhiro KIMURA
koobs: maintainer-approval? (ports-secteam)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2018-08-10 04:20:01 UTC
Created attachment 196044 [details]
patch file

Mark BROKEN with Python 3.7.
Build log with poudriere and 11.2-RELEASE amd64 jail is available with following URL.
    
https:/www.utahime.org/FreeBSD/poudriere/data/logs/bulk/112amd64-local-gdb/2018-08-10_12h42m20s/logs/gdb-8.1_5.log
Comment 1 Yasuhiro KIMURA 2018-08-10 04:23:05 UTC
URL of build log was wrong. Right one is

https://www.utahime.org/FreeBSD/poudriere/data/logs/bulk/112amd64-local-gdb/2018-08-10_12h42m20s/logs/gdb-8.1_5.log
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2018-08-10 09:35:19 UTC
If gdb (upstream) doesn't yet target/support Python 3.7, the gdb ports should be set to 'X-3.6' until it does , rather than being set to BROKEN. 

Python ports should declare only those versions that the software explicitly supports. 

Granted in most cases most newer versions of Python are backward/forward compatible, but it pays for maintainers to be as explicit as possible, as often as possible, without reducing choice.
Comment 4 Luca Pizzamiglio freebsd_committer 2018-08-11 09:43:17 UTC
I'm currently working to update gdb to 8.1.1 that already contains that patch.
I'll link the commit here, to reference
Comment 5 commit-hook freebsd_committer 2018-08-11 13:18:19 UTC
A commit references this bug:

Author: pizzamig
Date: Sat Aug 11 13:17:52 UTC 2018
New revision: 476883
URL: https://svnweb.freebsd.org/changeset/ports/476883

Log:
  devel/gdb: Update to 8.1.1

  A bunch of bug fixes and support to Pythong 3.7 fixed

  PR:		230494
  Reported by:	Yasuhiro KIMURA <yasu@utahime.org>
  Sponsored by:	Essen Hackathon

Changes:
  head/devel/gdb/Makefile
  head/devel/gdb/distinfo
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2018-08-12 02:55:01 UTC
Comment on attachment 196055 [details]
updated patch file

MFH missing in commit log message

Request approval to MFH from prots-secteam directly
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2018-08-12 02:55:32 UTC
(In reply to Kubilay Kocak from comment #6)

@Luca Unless you don't want this MFH'd due to it being a version update?
Comment 8 Yasuhiro KIMURA 2018-08-16 16:28:38 UTC
Overcome by update to 8.1.1. MFH request is rejected by portmgr.